astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Models and Fitting (`astropy.modeling`) »
- Sky2Pix_Airy

# Sky2Pix_Airy

class `astropy.modeling.projections.``Sky2Pix_Airy`

  Bases: `astropy.modeling.projections.Sky2PixProjection`, `astropy.modeling.projections.Zenithal`

  Airy - sky to pixel.

  Corresponds to the `AIR` projection in FITS WCS.

  See `Zenithal` for a definition of the full transformation.

  R_\theta = -2 \frac{180^\circ}{\pi}\left(\frac{\ln(\cos \xi)}{\tan \xi} + \frac{\ln(\cos \xi_b)}{\tan^2 \xi_b} \tan \xi \right)

  where:

  \xi &= \frac{90^\circ - \theta}{2} \\ \xi_b &= \frac{90^\circ - \theta_b}{2}

  Parameters:

  theta_b : float

  > The latitude \theta_b at which to minimize the error, in degrees. Default is 90°.

  Attributes Summary

  `param_names` |
  `theta_b` |

  Methods Summary

  `evaluate`(phi, theta, theta_b) |

  Attributes Documentation

  `param_names` = ('theta_b',)
  `theta_b`

  Methods Documentation

  classmethod `evaluate`(phi, theta, theta_b)